Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Protected Attributes | List of all members
eZ\Publish\Core\REST\Common\RequestParser\EzPublish Class Reference

Pattern based Request parser pre-configured for eZ Publish. More...

Inheritance diagram for eZ\Publish\Core\REST\Common\RequestParser\EzPublish:

## Protected Attributes
| $map
Protected Attributes inherited from eZ\Publish\Core\REST\Common\RequestParser\Pattern
| $map = []
| $compileCache = []

## Additional Inherited Members
Public Member Functions inherited from eZ\Publish\Core\REST\Common\RequestParser\Pattern
| __construct (array $map=[])
| Construct from optional initial map. More...
| addPattern ($type, $pattern)
| Adds a pattern for a type. More...
| parse ($url)
| Parse URL and return the IDs contained in the URL. More...
| generate ($type, array $values=[])
| Generate a URL of the given type from the specified values. More...
| parseHref ($href, $attribute)
| Tries to match $href as a route, and returns the value of $attribute from the result. More...
Public Attributes inherited from eZ\Publish\Core\REST\Common\RequestParser\Pattern
const | STANDARD_VARIABLE_REGEX = '\{([A-Za-z-_]+)\}'
| Pattern regular sub-expression. More...
const | SLASHES_VARIABLE_REGEX = '\{(?:\&\s*)([A-Za-z-_]+)\}'
| Pattern regular sub-expression that might contain slashes. More...
Protected Member Functions inherited from eZ\Publish\Core\REST\Common\RequestParser\Pattern
| compile ($pattern)
| Compiles a given pattern to a PCRE regular expression. More...

## Detailed Description

Pattern based Request parser pre-configured for eZ Publish.

Definition at line 12 of file EzPublish.php.

## Member Data Documentation

## ◆ $map

eZ\Publish\Core\REST\Common\RequestParser\EzPublish::$map
| protected

Definition at line 20 of file EzPublish.php.

The documentation for this class was generated from the following file:

- EzPublish.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.